{
  "display": {
    "icon": {
      "id": "minecraft:iron_sword",
      "components": {
        "minecraft:enchantment_glint_override": true
      }
    },
    "title": "Served Rare",
    "description": "Kill a rare enemy"
  },
  "parent": "survivalplus:adventure/combat/combat",
  "criteria": {
    "kill_rare": {
      "trigger": "minecraft:player_killed_entity",
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "nbt": "{Tags:[rare]}"
            }
          }
        ]
      }
    }
  }
}